View Issue Details

IDProjectCategoryView StatusLast Update
0026858Open CASCADEOCCT:Configurationpublic2016-04-20 15:51
ReporteriskAssigned Toibs 
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Target Version7.0.0Fixed in Version7.0.0 
Summary0026858: Configuration - cmake wrong detected TK folder
DescriptionIf in the 3rdparty folders lies VTK, then cmake have got next error:
CMake Error at CMakeLists.txt:319 (message):
  NOT FOUND: 3RDPARTY_TK_LIBRARY_DIR} 3RDPARTY_TK_DLL_DIR
Steps To ReproduceN/A
TagsNo tags attached.
Test case number

Attached Files

  • cmake_bug.png (2,838 bytes)

Relationships

child of 0026763 closedbugmaster CMake configuration process does not allow setup paths for TK library if it is separated from TCL 

Activities

isk

2015-11-10 10:12

developer  

cmake_bug.png (2,838 bytes)

kgv

2015-11-10 10:16

developer   ~0047978

Most likely this is regression after 0026763.

git

2015-11-12 14:47

administrator   ~0048110

Branch CR26858 has been created by ibs.

SHA-1: 66e3cb4a462d1d7eec0a758f18577a6a2c95f825


Detailed log of new commits:

Author: ibs
Date: Thu Nov 12 12:55:22 2015 +0300

    0026858: Configuration - cmake wrong detected TK folder
    
    regex template for 3rdparty folder changed
    the sensitive case of comparison of two folders fixed

git

2015-11-13 12:44

administrator   ~0048143

Branch CR26858 has been updated forcibly by ibs.

SHA-1: 7ea4cba8155458c4b810b97ef493fccb0da57cb4

ibs

2015-11-13 12:44

developer   ~0048144

dear ski, please review CR26868 branch of OCCT git

ski

2015-11-17 10:30

developer   ~0048265

cmake correctly detects TK folder during configuration with VTK folder in 3rd party folder.

No remarks, please proceed.

git

2016-04-17 14:19

administrator   ~0053128

Branch CR26858 has been deleted by kgv.

SHA-1: 7ea4cba8155458c4b810b97ef493fccb0da57cb4

Related Changesets

occt: master d3ff0ff2

2015-11-12 09:55:22

ibs

Details Diff
0026858: Configuration - cmake wrong detected TK folder

regex template for 3rdparty folder changed
the sensitive case of comparison of two folders fixed
Affected Issues
0026858
mod - adm/cmake/occt_macros.cmake Diff File
mod - adm/cmake/tcl.cmake Diff File

Issue History

Date Modified Username Field Change
2015-11-10 10:12 isk New Issue
2015-11-10 10:12 isk Assigned To => bugmaster
2015-11-10 10:12 isk File Added: cmake_bug.png
2015-11-10 10:16 kgv Relationship added child of 0026763
2015-11-10 10:16 kgv Note Added: 0047978
2015-11-10 10:16 kgv Assigned To bugmaster => ibs
2015-11-10 10:16 kgv Status new => assigned
2015-11-10 12:55 ibs Assigned To ibs => ski
2015-11-12 14:46 ibs Assigned To ski => ibs
2015-11-12 14:47 git Note Added: 0048110
2015-11-12 14:47 ibs Status assigned => resolved
2015-11-12 14:47 ibs Steps to Reproduce Updated
2015-11-13 12:44 git Note Added: 0048143
2015-11-13 12:44 ibs Note Added: 0048144
2015-11-13 12:44 ibs Assigned To ibs => ski
2015-11-17 10:30 ski Note Added: 0048265
2015-11-17 10:30 ski Assigned To ski => bugmaster
2015-11-17 10:30 ski Status resolved => reviewed
2015-11-23 17:14 ibs Changeset attached => occt master d3ff0ff2
2015-11-23 17:14 ibs Assigned To bugmaster => ibs
2015-11-23 17:14 ibs Status reviewed => verified
2015-11-23 17:14 ibs Resolution open => fixed
2016-04-17 14:19 git Note Added: 0053128
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed
The file specified in $g_log_destination "/var/log/mantis/bugs/LDAP.log" is not writable.